Gets the primary language for the input locale

- « Locale::getKeywords

- Locale::getRegion »

- PHP Manual
- Locale
- Gets the primary language for the input locale

# Locale::getPrimaryLanguage

# locale_get_primary_language

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL intl >= 1.0.0)

Locale::getPrimaryLanguage -- locale_get_primary_language — Gets the primary language for the input locale

### Description

Object-oriented style

public static Locale::getPrimaryLanguage(string `$locale`): ?string

Procedural style

locale_get_primary_language(string `$locale`): ?string

Gets the primary language for the input locale

### Parameters

`locale`

  The locale to extract the primary language code from

### Return Values

The language code associated with the language.

Returns `null` when the length of `locale` exceeds `INTL_MAX_LOCALE_LEN`.

### Examples

Example #1 locale_get_primary_language() example

    <?phpecho locale_get_primary_language('zh-Hant');?>

Example #2 OO example

    <?phpecho Locale::getPrimaryLanguage('zh-Hant');?>

The above example will output:

    zh

### See Also

- locale_get_script() - Gets the script for the input locale
- locale_get_region() - Gets the region for the input locale
- locale_get_all_variants() - Gets the variants for the input locale